#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './composercryptoconfiguration.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "composercryptoconfiguration.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ComposerCryptoConfiguration as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ComposerCryptoConfiguration::ComposerCryptoConfiguration( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ComposerCryptoConfiguration" );
    ComposerCryptoConfigurationLayout = new QVBoxLayout( this, 11, 6, "ComposerCryptoConfigurationLayout"); 

    optionsGroup_2 = new QGroupBox( this, "optionsGroup_2" );
    optionsGroup_2->setColumnLayout(0, Qt::Vertical );
    optionsGroup_2->layout()->setSpacing( 6 );
    optionsGroup_2->layout()->setMargin( 11 );
    optionsGroup_2Layout = new QVBoxLayout( optionsGroup_2->layout() );
    optionsGroup_2Layout->setAlignment( Qt::AlignTop );

    mAutoSignature = new QCheckBox( optionsGroup_2, "mAutoSignature" );
    optionsGroup_2Layout->addWidget( mAutoSignature );
    ComposerCryptoConfigurationLayout->addWidget( optionsGroup_2 );

    optionsGroup = new QGroupBox( this, "optionsGroup" );
    optionsGroup->setColumnLayout(0, Qt::Vertical );
    optionsGroup->layout()->setSpacing( 6 );
    optionsGroup->layout()->setMargin( 11 );
    optionsGroupLayout = new QVBoxLayout( optionsGroup->layout() );
    optionsGroupLayout->setAlignment( Qt::AlignTop );

    mEncToSelf = new QCheckBox( optionsGroup, "mEncToSelf" );
    optionsGroupLayout->addWidget( mEncToSelf );

    mShowEncryptionResult = new QCheckBox( optionsGroup, "mShowEncryptionResult" );
    optionsGroupLayout->addWidget( mShowEncryptionResult );

    mStoreEncrypted = new QCheckBox( optionsGroup, "mStoreEncrypted" );
    mStoreEncrypted->setChecked( FALSE );
    optionsGroupLayout->addWidget( mStoreEncrypted );

    mShowKeyApprovalDlg = new QCheckBox( optionsGroup, "mShowKeyApprovalDlg" );
    optionsGroupLayout->addWidget( mShowKeyApprovalDlg );

    mAutoEncrypt = new QCheckBox( optionsGroup, "mAutoEncrypt" );
    optionsGroupLayout->addWidget( mAutoEncrypt );

    mNeverEncryptWhenSavingInDrafts = new QCheckBox( optionsGroup, "mNeverEncryptWhenSavingInDrafts" );
    optionsGroupLayout->addWidget( mNeverEncryptWhenSavingInDrafts );
    ComposerCryptoConfigurationLayout->addWidget( optionsGroup );
    spacer22 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ComposerCryptoConfigurationLayout->addItem( spacer22 );
    languageChange();
    resize( QSize(581, 318).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mEncToSelf, mShowEncryptionResult );
    setTabOrder( mShowEncryptionResult, mStoreEncrypted );
    setTabOrder( mStoreEncrypted, mShowKeyApprovalDlg );
    setTabOrder( mShowKeyApprovalDlg, mAutoEncrypt );
    setTabOrder( mAutoEncrypt, mNeverEncryptWhenSavingInDrafts );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ComposerCryptoConfiguration::~ComposerCryptoConfiguration()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ComposerCryptoConfiguration::languageChange()
{
    optionsGroup_2->setTitle( tr2i18n( "Signing" ) );
    mAutoSignature->setText( tr2i18n( "&Automatically sign messages" ) );
    QWhatsThis::add( mAutoSignature, tr2i18n( "When this option is enabled, all messages you send will be signed by default; of course, it is still possible to disable signing for each message individually." ) );
    optionsGroup->setTitle( tr2i18n( "Encrypting" ) );
    mEncToSelf->setText( tr2i18n( "Always encr&ypt to self" ) );
    QWhatsThis::add( mEncToSelf, tr2i18n( "When this option is enabled, the message/file will not only be encrypted with the receiver's public key, but also with your key. This will enable you to decrypt the message/file at a later time. This is generally a good idea." ) );
    mShowEncryptionResult->setText( tr2i18n( "Show s&igned/encrypted text after composing" ) );
    QWhatsThis::add( mShowEncryptionResult, tr2i18n( "When this option is enabled, the signed/encrypted text will be shown in a separate window, enabling you to know how it will look before it is sent. This is a good idea when you are verifying that your encryption system works." ) );
    mStoreEncrypted->setText( tr2i18n( "Store sent messages encry&pted" ) );
    QToolTip::add( mStoreEncrypted, tr2i18n( "Check to store messages encrypted " ) );
    QWhatsThis::add( mStoreEncrypted, tr2i18n( "<qt>\n"
"<h1>Store Messages Encrypted</h1>\n"
"When this box is checked, sent messages are stored encrypted like they were sent. This is not recommended, as you will not be able to read the messages any longer if a necessary certificate expires.\n"
"<p>\n"
"However, there may be local rules that require you to turn this option on. When in doubt, check with your local administrator.\n"
"</qt>" ) );
    mShowKeyApprovalDlg->setText( tr2i18n( "Always show the encryption keys &for approval" ) );
    QWhatsThis::add( mShowKeyApprovalDlg, tr2i18n( "When this option is enabled, the application will always show you a list of public keys from which you can choose the one it will use for encryption. If it is off, the application will only show the dialog if it cannot find the right key or if there are several which could be used." ) );
    mAutoEncrypt->setText( tr2i18n( "Automatically encrypt &messages whenever possible" ) );
    QWhatsThis::add( mAutoEncrypt, tr2i18n( "When this option is enabled, every message you send will be encrypted whenever encryption is possible and desired; of course, it is still possible to disable the automatic encryption for each message individually." ) );
    mNeverEncryptWhenSavingInDrafts->setText( tr2i18n( "Never sign/encrypt when sa&ving as draft" ) );
}

#include "composercryptoconfiguration.moc"
