// This file is generated by lt-kxml_compiler from kde-features.rng.
// All changes you do to this file will be lost.
/*
    This file is part of KDE.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
    USA.

    As a special exception, permission is given to link this program
    with any edition of Qt, and distribute the resulting executable,
    without including the source code for Qt in the source distribution.
*/

#include "kde-features_parser.h"

#include <qfile.h>
#include <kdebug.h>

QString FeaturesParser::parseElementSummary()
{
  QString result;

  enum State { ENDTAG, STARTTAG, TAG, TEXT };
  State state = STARTTAG;

  int tagStart = -1;
  int entityStart = -1;

  while ( mRunning < mBuffer.length() ) {
    QChar c = mBuffer[ mRunning ];
    switch( state ) {
      case ENDTAG:
        if ( c == '>' ) {
          state = TEXT;
          result += mBuffer.mid( tagStart, mRunning - tagStart + 1 );
        } else if ( foundTextSummary() ) {
          return result;
        }
        break;
      case STARTTAG:
        if ( c == '>' ) {
          state = TEXT;
          result += mBuffer.mid( tagStart, mRunning - tagStart + 1 );
        }
        break;
      case TAG:
        if ( c == '/' ) {
          state = ENDTAG;
        } else {
          state = STARTTAG;
        }
        break;
      case TEXT:
        if ( c == '<' ) {
          state = TAG;
          tagStart = mRunning;
        } else if ( c == '&' ) {
          entityStart = mRunning + 1;
        } else if ( entityStart >= 0 && c == ';' ) {
          QString entity = mBuffer.mid( entityStart, mRunning - entityStart );
          if ( entity == "quot" ) result += '"';
          entityStart = -1;
        } else if ( entityStart < 0 ) {
          result += c;
        }
        break;
      default:
        break;
    }
    ++mRunning;
  }

  return result;
}

bool FeaturesParser::foundTextName()
{
  if ( mBuffer[ mRunning ] != 'e' ) return false;

  return mBuffer.mid( mRunning - 3, 4 ) == "name";
}

bool FeaturesParser::foundTextEmail()
{
  if ( mBuffer[ mRunning ] != 'l' ) return false;

  return mBuffer.mid( mRunning - 4, 5 ) == "email";
}

Responsible *FeaturesParser::parseElementResponsible()
{
  Responsible *result = new Responsible();

  bool foundName = false;
  bool foundEmail = false;

  int attrValueStart = -1;

  while ( mRunning < mBuffer.length() ) {
    QChar c = mBuffer[ mRunning ];
    if ( c == '>' ) {
      return result;
    }
    if ( foundTextName() ) {
      foundName= true;
    } else if ( foundName && c == '"' ) {
      if ( attrValueStart < 0 ) {
        attrValueStart = mRunning + 1;
      } else {
        result->setName( mBuffer.mid( attrValueStart,
                                      mRunning - attrValueStart ) );
        attrValueStart = -1;
        foundName = false;
      }
    } else if ( foundTextEmail() ) {
      foundEmail= true;
    } else if ( foundEmail && c == '"' ) {
      if ( attrValueStart < 0 ) {
        attrValueStart = mRunning + 1;
      } else {
        result->setEmail( mBuffer.mid( attrValueStart,
                                      mRunning - attrValueStart ) );
        attrValueStart = -1;
        foundEmail = false;
      }
    }
    ++mRunning;
  }

  return result;
}

bool FeaturesParser::foundTextSummary()
{
  if ( mBuffer[ mRunning ] != 'y' ) return false;

  return mBuffer.mid( mRunning - 6, 7 ) == "summary";
}

bool FeaturesParser::foundTextResponsible()
{
  if ( mBuffer[ mRunning ] != 'e' ) return false;

  return mBuffer.mid( mRunning - 10, 11 ) == "responsible";
}

bool FeaturesParser::foundTextStatus()
{
  if ( mBuffer[ mRunning ] != 's' ) return false;

  return mBuffer.mid( mRunning - 5, 6 ) == "status";
}

bool FeaturesParser::foundTextTarget()
{
  if ( mBuffer[ mRunning ] != 't' ) return false;

  return mBuffer.mid( mRunning - 5, 6 ) == "target";
}

Feature *FeaturesParser::parseElementFeature()
{
  Feature *result = new Feature();

  enum State { ATTRIBUTES, ENDTAG, STARTTAG, TAG, WHITESPACE };
  State state = ATTRIBUTES;

  bool foundStatus = false;
  bool foundTarget = false;

  int attrValueStart = -1;

  while ( mRunning < mBuffer.length() ) {
    QChar c = mBuffer[ mRunning ];
    switch( state ) {
      case ATTRIBUTES:
        if ( c == '>' ) {
          state = WHITESPACE;
        }
        if ( foundTextStatus() ) {
          foundStatus= true;
        } else if ( foundStatus && c == '"' ) {
          if ( attrValueStart < 0 ) {
            attrValueStart = mRunning + 1;
          } else {
            result->setStatus( mBuffer.mid( attrValueStart,
                                          mRunning - attrValueStart ) );
            attrValueStart = -1;
            foundStatus = false;
          }
        } else if ( foundTextTarget() ) {
          foundTarget= true;
        } else if ( foundTarget && c == '"' ) {
          if ( attrValueStart < 0 ) {
            attrValueStart = mRunning + 1;
          } else {
            result->setTarget( mBuffer.mid( attrValueStart,
                                          mRunning - attrValueStart ) );
            attrValueStart = -1;
            foundTarget = false;
          }
        } else if ( c =='/' ) {
          return result;
        }
        break;
      case ENDTAG:
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextFeature() ) {
          return result;
        }
        break;
      case STARTTAG:
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextSummary() ) {
          result->setSummary( parseElementSummary() );
          state = WHITESPACE;
        } else if ( foundTextResponsible() ) {
          result->addResponsible( parseElementResponsible() );
          state = WHITESPACE;
        }
        break;
      case TAG:
        if ( c == '/' ) {
          state = ENDTAG;
        } else {
          state = STARTTAG;
        }
        break;
      case WHITESPACE:
        if ( c == '<' ) state = TAG;
        break;
      default:
        break;
    }
    ++mRunning;
  }

  return result;
}

bool FeaturesParser::foundTextFeature()
{
  if ( mBuffer[ mRunning ] != 'e' ) return false;

  return mBuffer.mid( mRunning - 6, 7 ) == "feature";
}

bool FeaturesParser::foundTextCategory()
{
  if ( mBuffer[ mRunning ] != 'y' ) return false;

  return mBuffer.mid( mRunning - 7, 8 ) == "category";
}

Category *FeaturesParser::parseElementCategory()
{
  Category *result = new Category();

  enum State { ATTRIBUTES, ENDTAG, STARTTAG, TAG, WHITESPACE };
  State state = ATTRIBUTES;

  bool foundName = false;

  int attrValueStart = -1;

  while ( mRunning < mBuffer.length() ) {
    QChar c = mBuffer[ mRunning ];
    switch( state ) {
      case ATTRIBUTES:
        if ( c == '>' ) {
          state = WHITESPACE;
        }
        if ( foundTextName() ) {
          foundName= true;
        } else if ( foundName && c == '"' ) {
          if ( attrValueStart < 0 ) {
            attrValueStart = mRunning + 1;
          } else {
            result->setName( mBuffer.mid( attrValueStart,
                                          mRunning - attrValueStart ) );
            attrValueStart = -1;
            foundName = false;
          }
        } else if ( c =='/' ) {
          return result;
        }
        break;
      case ENDTAG:
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextCategory() ) {
          return result;
        }
        break;
      case STARTTAG:
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextFeature() ) {
          result->addFeature( parseElementFeature() );
          state = WHITESPACE;
        } else if ( foundTextCategory() ) {
          result->addCategory( parseElementCategory() );
          state = WHITESPACE;
        }
        break;
      case TAG:
        if ( c == '/' ) {
          state = ENDTAG;
        } else {
          state = STARTTAG;
        }
        break;
      case WHITESPACE:
        if ( c == '<' ) state = TAG;
        break;
      default:
        break;
    }
    ++mRunning;
  }

  return result;
}

Features *FeaturesParser::parseElementFeatures()
{
  Features *result = new Features();

  enum State { ENDTAG, STARTTAG, TAG, WHITESPACE };
  State state = STARTTAG;

  while ( mRunning < mBuffer.length() ) {
    QChar c = mBuffer[ mRunning ];
    switch( state ) {
      case ENDTAG:
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextFeatures() ) {
          return result;
        }
        break;
      case STARTTAG:
         if ( c == '/' ) {
            return result;
         }
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextCategory() ) {
          result->addCategory( parseElementCategory() );
          state = WHITESPACE;
        }
        break;
      case TAG:
        if ( c == '/' ) {
          state = ENDTAG;
        } else {
          state = STARTTAG;
        }
        break;
      case WHITESPACE:
        if ( c == '<' ) state = TAG;
        break;
      default:
        break;
    }
    ++mRunning;
  }

  return result;
}

bool FeaturesParser::foundTextFeatures()
{
  if ( mBuffer[ mRunning ] != 's' ) return false;

  return mBuffer.mid( mRunning - 7, 8 ) == "features";
}

Features *FeaturesParser::parseFile( const QString &filename )
{
  QFile file( filename );
  if ( !file.open( IO_ReadOnly ) ) {
    kdError() << "Unable to open file '" << filename << "'" << endl;
    return 0;
  }

  QTextStream ts( &file );
  mBuffer = ts.read();

  mRunning = 0;

  enum State { TAG, WHITESPACE };
  State state = WHITESPACE;

  Features *features = 0;

  while ( mRunning < mBuffer.length() ) {
    QChar c = mBuffer[ mRunning ];
    switch( state ) {
      case TAG:
        if ( c == '>' ) {
          state = WHITESPACE;
        } else if ( foundTextFeatures() ) {
          features = parseElementFeatures();
          state = WHITESPACE;
        }
        break;
      case WHITESPACE:
        if ( c == '<' ) state = TAG;
        break;
      default:
        break;
    }
    ++mRunning;
  }

  return features;
}


